## ros-rolling-robot-state-publisher 3.3.1

=== debian/changelog ===
ros-rolling-robot-state-publisher (3.3.1-1jammy) jammy; urgency=high

  * Improve log messages (#206 <https://github.com/ros/robot_state_publisher/issues/206>)
  * Contributors: Nick Lamprianidis

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-robot-state-publisher (3.3.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-robot-state-publisher (3.2.0-1jammy) jammy; urgency=high

  * Update robot_state_publisher to C++17. (#204 <https://github.com/ros/robot_state_publisher/issues/204>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-robot-state-publisher (3.1.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#203 <https://github.com/ros/robot_state_publisher/issues/203>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-robot-state-publisher (3.1.1-1jammy) jammy; urgency=high

  * Mirror rolling to ros2
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-robot-state-publisher (3.1.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-robot-state-publisher (3.0.2-1jammy) jammy; urgency=high

  * Depend on orocos_kdl_vendor (#191 <https://github.com/ros/robot_state_publisher/issues/191>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-robot-state-publisher (3.0.1-1jammy) jammy; urgency=high

  * export dependencies, to use robot_state_publisher as a component (#193 <https://github.com/ros/robot_state_publisher/issues/193>)
  * Contributors: Kenji Brameld

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-robot-state-publisher (3.0.0-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#186 <https://github.com/ros/robot_state_publisher/issues/186>)
  * Change how parameter updates are handled (#180 <https://github.com/ros/robot_state_publisher/issues/180>)
  * Install includes to instal/${PROJECT_NAME} (#184 <https://github.com/ros/robot_state_publisher/issues/184>)
  * Make the change_fixed_joint test more robust (#183 <https://github.com/ros/robot_state_publisher/issues/183>)
  * Add in a test to make sure fixed transforms change on update
  * Small C++ nice-isms in the tests
  * Switch to using target_include_directories for tests
  * Publish new fixed transforms when URDF is updated
  * Make joint_states subscription QoS configurable; default to SensorDataQoS (#179 <https://github.com/ros/robot_state_publisher/issues/179>)
  * Remove dependency on urdfdom_headers (#168 <https://github.com/ros/robot_state_publisher/issues/168>)
  * Contributors: Anthony Deschamps, Chris Lalancette, Jacob Perron, Russell Joyce, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-robot-state-publisher (2.7.0-1jammy) jammy; urgency=high

  * Fix deprecated subscriber callbacks (#173 <https://github.com/ros/robot_state_publisher/issues/173>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-robot-state-publisher (2.6.0-1jammy) jammy; urgency=high

  * Cleanup the documentation in the RobotStatePublisher class. (#172 <https://github.com/ros/robot_state_publisher/issues/172>)
  * Always publish fixed frames to /tf_static (#158 <https://github.com/ros/robot_state_publisher/issues/158>)
  * corrected publish_frequency default in README (#166 <https://github.com/ros/robot_state_publisher/issues/166>)
  * Contributors: Chris Lalancette, Jacob Perron, Nils Schulte

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Aug 2021 00:00:00 -0000

ros-rolling-robot-state-publisher (2.5.0-1jammy) jammy; urgency=high

  * Add tf frame_prefix parameter (#159 <https://github.com/ros/robot_state_publisher/issues/159>)
  * Contributors: Steve Nogar, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 00:00:00 -0000

ros-rolling-robot-state-publisher (2.4.3-1jammy) jammy; urgency=high

  * Stop rejecting unknown parameters. (#161 <https://github.com/ros/robot_state_publisher/issues/161>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-robot-state-publisher (2.4.2-1jammy) jammy; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-robot-state-publisher (2.4.1-1jammy) jammy; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Sep 2020 00:00:00 -0000

ros-rolling-robot-state-publisher (2.4.0-1jammy) jammy; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.

